libgimpprint API Reference: print-ps.c File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/print-ps.c File Reference

`#include <gimp-print/gimp-print.h>`
`#include <gimp-print/gimp-print-intl-internal.h>`
`#include "gimp-print-internal.h"`
`#include <time.h>`
`#include <string.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Defines
#define | stp_module_version print_ps_LTX_stp_module_version
#define | stp_module_data print_ps_LTX_stp_module_data
## Functions
void | ps_hex (const stp_vars_t *, unsigned short *, int)
void | ps_ascii85 (const stp_vars_t *, unsigned short *, int, int)
char * | ppd_find (const char *, const char *, const char *, int *)
stp_parameter_list_t | ps_list_parameters (const stp_vars_t *v)
void | ps_parameters_internal (const stp_vars_t *v, const char *name, stp_parameter_t *description)
void | ps_parameters (const stp_vars_t *v, const char *name, stp_parameter_t *description)
void | ps_media_size_internal (const stp_vars_t *v, int *width, int *height)
void | ps_media_size (const stp_vars_t *v, int *width, int *height)
void | ps_imageable_area_internal (const stp_vars_t *v, int *left, int *right, int *bottom, int *top)
void | ps_imageable_area (const stp_vars_t *v, int *left, int *right, int *bottom, int *top)
void | ps_limit (const stp_vars_t *v, int *width, int *height, int *min_width, int *min_height)
void | ps_describe_resolution_internal (const stp_vars_t *v, int *x, int *y)
void | ps_describe_resolution (const stp_vars_t *v, int *x, int *y)
const char * | ps_describe_output (const stp_vars_t *v)
int | ps_print_internal (const stp_vars_t *v, stp_image_t *image)
int | ps_print (const stp_vars_t *v, stp_image_t *image)
int | print_ps_module_init (void)
int | print_ps_module_exit (void)
## Variables
FILE * | ps_ppd = NULL
const char * | ps_ppd_file = NULL
const stp_parameter_t | the_parameters []
const int | the_parameter_count
const stp_printfuncs_t | print_ps_printfuncs
stp_family_t | print_ps_module_data
stp_module_version_t | stp_module_version = {0, 0}
stp_module_t | stp_module_data

## Define Documentation

#define stp_module_data print_ps_LTX_stp_module_data

| Definition at line 977 of file print-ps.c.

#define stp_module_version print_ps_LTX_stp_module_version

| Definition at line 976 of file print-ps.c.

## Function Documentation

char * ppd_find | ( | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | int * |
| ) | `[static]`

| Definition at line 856 of file print-ps.c. References ps_ppd, ps_ppd_file, and stp_zalloc(). Referenced by ps_imageable_area_internal(), ps_media_size_internal(), and ps_print_internal().

int print_ps_module_exit | ( | void |  | ) | `[static]`

| Definition at line 969 of file print-ps.c. References print_ps_module_data, stp_family::printer_list, and stp_family_unregister().

int print_ps_module_init | ( | void |  | ) | `[static]`

| Definition at line 962 of file print-ps.c. References print_ps_module_data, stp_family::printer_list, and stp_family_register().

void ps_ascii85 | ( | const stp_vars_t * | ,
|  | unsigned short * | ,
|  | int | ,
|  | int |
| ) | `[static]`

| Definition at line 776 of file print-ps.c. References stp_putc(), stp_puts(), stp_vars_t, and stp_zfwrite(). Referenced by ps_print_internal().

const char* ps_describe_output | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 374 of file print-ps.c. References stp_get_string_parameter(), and stp_vars_t.

void ps_describe_resolution | ( | const stp_vars_t * | v,
|  | int * | x,
|  | int * | y
| ) | `[static]`

| Definition at line 366 of file print-ps.c. References ps_describe_resolution_internal(), and stp_vars_t.

void ps_describe_resolution_internal | ( | const stp_vars_t * | v,
|  | int * | x,
|  | int * | y
| ) | `[static]`

| Definition at line 355 of file print-ps.c. References stp_get_string_parameter(), and stp_vars_t. Referenced by ps_describe_resolution().

void ps_hex | ( | const stp_vars_t * | ,
|  | unsigned short * | ,
|  | int |
| ) | `[static]`

| Definition at line 735 of file print-ps.c. References stp_putc(), and stp_vars_t. Referenced by ps_print_internal().

void ps_imageable_area | ( | const stp_vars_t * | v,
|  | int * | left,
|  | int * | right,
|  | int * | bottom,
|  | int * | top
| ) | `[static]`

| Definition at line 327 of file print-ps.c. References ps_imageable_area_internal(), and stp_vars_t. Referenced by ps_print_internal().

void ps_imageable_area_internal | ( | const stp_vars_t * | v,
|  | int * | left,
|  | int * | right,
|  | int * | bottom,
|  | int * | top
| ) | `[static]`

| Definition at line 283 of file print-ps.c. References ppd_find(), ps_media_size(), STP_DBG_PS, stp_dprintf(), stp_get_file_parameter(), stp_get_string_parameter(), and stp_vars_t. Referenced by ps_imageable_area().

void ps_limit | ( | const stp_vars_t * | v,
|  | int * | width,
|  | int * | height,
|  | int * | min_width,
|  | int * | min_height
| ) | `[static]`

| Definition at line 339 of file print-ps.c. References stp_vars_t.

stp_parameter_list_t ps_list_parameters | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 117 of file print-ps.c. References stp_parameter_list_add_param(), stp_parameter_list_create(), stp_parameter_list_t, stp_vars_t, the_parameter_count, and the_parameters.

void ps_media_size | ( | const stp_vars_t * | v,
|  | int * | width,
|  | int * | height
| ) | `[static]`

| Definition at line 271 of file print-ps.c. References ps_media_size_internal(), and stp_vars_t. Referenced by ps_imageable_area_internal().

void ps_media_size_internal | ( | const stp_vars_t * | v,
|  | int * | width,
|  | int * | height
| ) | `[static]`

| Definition at line 241 of file print-ps.c. References ppd_find(), STP_DBG_PS, stp_default_media_size(), stp_dprintf(), stp_get_file_parameter(), stp_get_model_id(), stp_get_string_parameter(), and stp_vars_t. Referenced by ps_media_size().

void ps_parameters | ( | const stp_vars_t * | v,
|  | const char * | name,
|  | stp_parameter_t * | description
| ) | `[static]`

| Definition at line 228 of file print-ps.c. References ps_parameters_internal(), and stp_vars_t.

void ps_parameters_internal | ( | const stp_vars_t * | v,
|  | const char * | name,
|  | stp_parameter_t * | description
| ) | `[static]`

| Definition at line 127 of file print-ps.c. References _, stp_parameter_t::bounds, stp_parameter_t::deflt, stp_parameter_t::is_active, stp_papersize_t::name, stp_param_string_t::name, stp_parameter_t::p_type, ps_ppd, ps_ppd_file, stp_fill_parameter_settings(), stp_get_file_parameter(), stp_get_papersize_by_index(), stp_known_papersizes(), STP_PARAMETER_TYPE_INVALID, stp_string_list_add_string(), stp_string_list_count(), stp_string_list_create(), stp_string_list_param(), stp_vars_t, stp_papersize_t::text, the_parameter_count, and the_parameters. Referenced by ps_parameters().

int ps_print | ( | const stp_vars_t * | v,
|  | stp_image_t * | image
| ) | `[static]`

| Definition at line 720 of file print-ps.c. References ps_print_internal(), stp_image_t, and stp_vars_t.

int ps_print_internal | ( | const stp_vars_t * | v,
|  | stp_image_t * | image
| ) | `[static]`

| Definition at line 388 of file print-ps.c. References ppd_find(), ps_ascii85(), ps_hex(), ps_imageable_area(), stp_channel_add(), stp_channel_get_input(), stp_channel_reset(), stp_color_get_row(), stp_color_init(), STP_DBG_PS, stp_dprintf(), stp_eprintf(), stp_free(), stp_get_file_parameter(), stp_get_height(), stp_get_left(), stp_get_model_id(), stp_get_string_parameter(), stp_get_top(), stp_get_width(), stp_image_conclude(), stp_image_get_appname(), stp_image_height(), stp_image_init(), stp_image_t, stp_image_width(), stp_malloc(), stp_prune_inactive_options(), stp_puts(), stp_set_string_parameter(), stp_vars_create_copy(), stp_vars_destroy(), stp_vars_t, stp_verify(), and stp_zprintf(). Referenced by ps_print().

## Variable Documentation

stp_family_t print_ps_module_data`[static]`

| Initial value:
      {
        &print_ps_printfuncs,
        NULL
      }
Definition at line 954 of file print-ps.c. Referenced by print_ps_module_exit(), and print_ps_module_init().

const stp_printfuncs_t print_ps_printfuncs`[static]`

| Initial value:
    {
      ps_list_parameters,
      ps_parameters,
      ps_media_size,
      ps_imageable_area,
      ps_limit,
      ps_print,
      ps_describe_resolution,
      ps_describe_output,
      stp_verify_printer_params,
      NULL,
      NULL
    }
Definition at line 938 of file print-ps.c.

FILE* ps_ppd = NULL`[static]`

| Definition at line 51 of file print-ps.c. Referenced by ppd_find(), and ps_parameters_internal().

const char* ps_ppd_file = NULL`[static]`

| Definition at line 52 of file print-ps.c. Referenced by ppd_find(), and ps_parameters_internal().

stp_module_t stp_module_data

| Initial value:
      {
        "ps",
        VERSION,
        "Postscript family driver",
        STP_MODULE_CLASS_FAMILY,
        NULL,
        print_ps_module_init,
        print_ps_module_exit,
        (void *) &print_ps_module_data
      }
Definition at line 981 of file print-ps.c.

stp_module_version_t stp_module_version = {0, 0}

| Definition at line 979 of file print-ps.c.

const int the_parameter_count`[static]`

| Initial value:
    sizeof(the_parameters) / sizeof(const stp_parameter_t)
Definition at line 109 of file print-ps.c. Referenced by ps_list_parameters(), and ps_parameters_internal().

const stp_parameter_t the_parameters[]`[static]`

| Definition at line 63 of file print-ps.c. Referenced by ps_list_parameters(), and ps_parameters_internal().